# Generated by go2rpm 1
%bcond_without check

# https://github.com/nicksnyder/go-i18n/v2
%global goipath         github.com/nicksnyder/go-i18n
Version:                2.0.3

%gometa

%global common_description %{expand:
go-i18n is a Go package and a command that helps you translate Go programs into
multiple languages.

 - Supports pluralized strings for all 200+ languages in the Unicode Common
   Locale Data Repository (CLDR).
    - Code and tests are automatically generated from CLDR data.
 - Supports strings with named variables using text/template syntax.
 - Supports message files of any format (e.g. JSON, TOML, YAML, etc.).
 - Documented and tested!}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md dev.md example

%global godevelname %{goname}-2-devel
Name:           %{goname}-2
Release:        2%{?dist}
Summary:        Translate your Go program into multiple languages

License:        MIT

URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(golang.org/x/text/language)
BuildRequires:  golang(gopkg.in/yaml.v2)

Provides:       go-i18n = %{version}-%{release}
# Remove in F33:
Obsoletes:      go-i18n < 1.10.0-7

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in v2/goi18n; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Nov 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.3-1
- Update to latest version

* Wed Oct 16 05:00:46 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-1
- Initial package
